

Summary:	Python HTML5 Parser
Name:		python-html5-parser
Version:	0.4.4
Release:	%mkrel 1
License:	LGPLv3+
Group:		Development/Python
Url:		https://pypi.python.org/pypi/html5-parser
Source0:	html5-parser-%{version}.tar.xz
BuildRequires:	python-devel
BuildRequires:  python-setuptools

Requires: python-chardet
Requires: python-lxml
Requires: python-setuptools
Requires: python-beautifulsoup4

%description
A fast implementation of the HTML 5 parsing spec for Python. 
Parsing is done in C using a variant of the gumbo parser. 

%package -n python3-html5-parser
Summary: %{summary} / Python 3 library
BuildRequires: python3-devel

%description -n python3-html5-parser
A fast implementation of the HTML 5 parsing spec for Python. 
Parsing is done in C using a variant of the gumbo parser. 

%prep
%setup -qn html5-parser-%{version}
cd ..
cp -fr html5-parser-%{version} python3
cd -


%build
%{__python} setup.py build
cd ../python3
%{__python3} setup.py build
cd -

%install
rm -rf %{buildroot}

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
cd ../python3
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
cd -


%files
%{py_platsitedir}

%files -n python3-html5-parser
%{py3_platsitedir}


%changelog
* Fri Aug 04 2017 bb2 <bb2> - 0.4.4-1pclos2017
- create package
